Minimum system requirements?

Support for running, installing or compiling OpenMW

Before you submit a bug report for the first time, please read: Bug reporting guidelines
Post Reply
bomblord
Posts: 16
Joined: 18 Jul 2019, 22:34

Minimum system requirements?

Post by bomblord » 04 Feb 2020, 20:55

I have 2 XP laptops one with a Celeron and the other with an Atom 920(IIRC). Both have 1GB of RAM and negligible (64MB) VRAM. They're also 32bit.

I'm curious if there is any version of openmw I could load up on one of these and still run?

User avatar
akortunov
Posts: 668
Joined: 13 Mar 2017, 13:49
Location: Samara, Russian Federation

Re: Minimum system requirements?

Post by akortunov » 05 Feb 2020, 07:13

I suppose different OpenMW versions have similar system requirements.
Also I see no point to use OpenMW on such old hardware - most of its core features require additional cores and RAM (navmeshes, distant terrain, shadows, cell preloading, meshes caching, etc.).
You can disable everything, of course, but in this case you will just get an unfinished original engine.

User avatar
psi29a
Posts: 4699
Joined: 29 Sep 2011, 10:13
Location: Belgium
Gitlab profile: https://gitlab.com/psi29a/
Contact:

Re: Minimum system requirements?

Post by psi29a » 05 Feb 2020, 09:08

We'll need to contact Ace, but as far as I'm aware XP support might still be working? You'll have to test.

In theory, you'll just need a GPU/Driver that supports OpenGL 2.1 (for now), but as said: you'll miss out on features.

User avatar
AnyOldName3
Posts: 1672
Joined: 26 Nov 2015, 03:25

Re: Minimum system requirements?

Post by AnyOldName3 » 05 Feb 2020, 20:30

I'm pretty sure official builds have used a version of the Windows SDK that doesn't work with XP and a compiler that doesn't work with XP for a while now. That doesn't mean that it's impossible to target it with a custom build, though. Even when we drop support for Visual C++ versions that support XP, if you're willing to put a lot of extra work in, MinGW32 should be able to help.

However, with hardware that old and slow, I'd expect better results under Linux. I might be wrong about that, though.
AnyOldName3, Master of Shadows

bomblord
Posts: 16
Joined: 18 Jul 2019, 22:34

Re: Minimum system requirements?

Post by bomblord » 07 Feb 2020, 19:50

psi29a wrote:
05 Feb 2020, 09:08
We'll need to contact Ace, but as far as I'm aware XP support might still be working? You'll have to test.

In theory, you'll just need a GPU/Driver that supports OpenGL 2.1 (for now), but as said: you'll miss out on features.
I appreciate the responses. As far as I can tell it meets the bare minimum to boot minus the fact it's running XP. The purpose of getting it going was more for Nostalgia than anything else was trying to install the regular Morrowind but Steam dropped support so I can't install from there so I though I could move the files from another PC and use Openmw

Post Reply